// TestDllMFCDlg.h : file di intestazione
//

#include "Project.h"
#include "DataGlove.h"

#pragma once


// finestra di dialogo CTestDllMFCDlg
class CTestDllMFCDlg : public CDialog
{
// Costruzione
public:
	CTestDllMFCDlg(CWnd* pParent = NULL);	// costruttore standard

	Project *prj	;
	int id			;
// Dati della finestra di dialogo
	enum { IDD = IDD_TESTDLLMFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// supporto DDX/DDV


// Implementazione
protected:
	HICON m_hIcon;

	// Funzioni generate per la mappa dei messaggi
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CString GloveValue;
	afx_msg void OnTimer(UINT nIDEvent);
	CString Rotation;
	CString Finger;
};
